Git::Raw::Object(3pm)

NAME
Git::Raw::Object - Git object

VERSION
version 0.90

DESCRIPTION
Git::Raw::Object provides a namespace for object constants.

WARNING: The API of this module is unstable and may change without warning (any change will be appropriately documented in the changelog).

METHODS

  id( )
Retrieve the id of the object, as a string.

  lookup( $id )
Retrieve the object corresponding to $id. Returns a Git::Raw::Object.

  type( )
Get the object type.

CONSTANTS

  ANY
Any

  BAD
Invalid

  COMMIT
Commit

  TREE
Tree (directory listing)

  BLOB
File revision (blob)

  TAG
Annotated tag

AUTHOR
Jacques Germishuys <jacquesg@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2016 Jacques Germishuys.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.